=== debian/changelog ===
vlc (0.2.90-1) unstable; urgency=low

  * Fixed syntax error in build dependencies (Closes: #109722).
  * XVideo module now compiled as built-in, to avoid PIC and non-PIC
    code collision (Closes: #111790).

 -- Samuel Hocevar <sam@zoy.org>  Wed, 10 Oct 2001 15:00:29 +0200

vlc (0.2.83-2) unstable; urgency=low

  * Fixed build dependencies for architectures not supporting libasound2
    (Closes: #109722).

 -- Samuel Hocevar <sam@zoy.org>  Fri, 24 Aug 2001 12:47:45 +0200

vlc (0.2.83-1) unstable; urgency=low

  * New upstream release.
  * Activated subtitles in overlay mode (Closes: #97471).

 -- Samuel Hocevar <sam@zoy.org>  Wed, 22 Aug 2001 15:18:01 +0200

vlc (0.2.82-1) unstable; urgency=low

  * New upstream release.
  * Fixed broken manpage symlinks (Closes: #99561).

 -- Samuel Hocevar <sam@zoy.org>  Tue,  7 Aug 2001 12:39:16 +0200

vlc (0.2.81-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Hocevar <sam@zoy.org>  Sat, 28 Jul 2001 04:13:57 +0200
